Index: cpukit/libcsupport/src/readdir.c
===================================================================
--- cpukit/libcsupport/src/readdir.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libcsupport/src/readdir.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -46,4 +46,5 @@
 
 #include <dirent.h>
+#include <stdint.h>
 
 int getdents(
@@ -78,5 +79,5 @@
     }
     dp = (struct dirent *)(dirp->dd_buf + dirp->dd_loc);
-    if ((int)dp & 03)	/* bogus pointer check */
+    if ((intptr_t)dp & 03)	/* bogus pointer check */
       return NULL;
     if (dp->d_reclen <= 0 ||
Index: cpukit/libnetworking/net/if.h
===================================================================
--- cpukit/libnetworking/net/if.h	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/net/if.h	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -213,5 +213,5 @@
 		short	ifru_flags[2];
 		int32_t	ifru_metric;
-		int	ifru_mtu;
+		int32_t	ifru_mtu;
 		int	ifru_phys;
 		int	ifru_media;
Index: cpukit/libnetworking/net/pppcompress.c
===================================================================
--- cpukit/libnetworking/net/pppcompress.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/net/pppcompress.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -427,8 +427,8 @@
 	 * prepend 128 bytes of header).
 	 */
-	if ((int)cp & 3) {
+	if ((intptr_t)cp & 3) {
 		if (len > 0)
-			(void) ovbcopy(cp, (caddr_t)((int)cp &~ 3), len);
-		cp = (u_char *)((int)cp &~ 3);
+			(void) ovbcopy(cp, (caddr_t)((intptr_t)cp &~ 3), len);
+		cp = (u_char *)((intptr_t)cp &~ 3);
 	}
 	cp -= hlen;
Index: cpukit/libnetworking/net/raw_usrreq.c
===================================================================
--- cpukit/libnetworking/net/raw_usrreq.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/net/raw_usrreq.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -175,5 +175,5 @@
 			break;
 		}
-		error = raw_attach(so, (int)nam);
+		error = raw_attach(so, (intptr_t)nam);
 		break;
 
Index: cpukit/libnetworking/netinet/in_cksum.c
===================================================================
--- cpukit/libnetworking/netinet/in_cksum.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/netinet/in_cksum.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -118,5 +118,5 @@
 		 * Force to even boundary.
 		 */
-		if ((1 & (int) w) && (mlen > 0)) {
+		if ((1 & (intptr_t) w) && (mlen > 0)) {
 			REDUCE;
 			sum <<= 8;
Index: cpukit/libnetworking/netinet/ip.h
===================================================================
--- cpukit/libnetworking/netinet/ip.h	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/netinet/ip.h	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -95,5 +95,5 @@
 #endif
 
-#define	IP_MAXPACKET	65535		/* maximum packet size */
+#define	IP_MAXPACKET	65535L		/* maximum packet size */
 
 /*
Index: cpukit/libnetworking/netinet/ip_divert.c
===================================================================
--- cpukit/libnetworking/netinet/ip_divert.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/netinet/ip_divert.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -296,5 +296,5 @@
 			break;
 		inp = (struct inpcb *)so->so_pcb;
-		inp->inp_ip_p = (int)nam;	/* XXX */
+		inp->inp_ip_p = (intptr_t)nam;	/* XXX */
 		inp->inp_flags |= INP_HDRINCL;
 		/* The socket is always "connected" because
Index: cpukit/libnetworking/sys/mbuf.h
===================================================================
--- cpukit/libnetworking/sys/mbuf.h	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/libnetworking/sys/mbuf.h	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -84,5 +84,5 @@
 struct	pkthdr {
 	struct	ifnet *rcvif;		/* rcv interface */
-	int	len;			/* total packet length */
+	int32_t	len;			/* total packet length */
 };
 
Index: cpukit/librpc/src/xdr/xdr_rec.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_rec.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/librpc/src/xdr/xdr_rec.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -97,5 +97,5 @@
  */
 
-#define LAST_FRAG ((u_int32_t)(1 << 31))
+#define LAST_FRAG ((u_int32_t)(1L << 31))
 
 typedef struct rec_strm {
@@ -166,5 +166,5 @@
 	}
 	for (rstrm->out_base = rstrm->the_buffer;
-		(u_long)rstrm->out_base % BYTES_PER_XDR_UNIT != 0;
+		(uintptr_t)rstrm->out_base % BYTES_PER_XDR_UNIT != 0;
 		rstrm->out_base++);
 	rstrm->in_base = rstrm->out_base + sendsize;
@@ -206,5 +206,5 @@
 	/* first try the inline, fast case */
 	if ((rstrm->fbtbc >= sizeof(int32_t)) &&
-		(((long)rstrm->in_boundry - (long)buflp) >= sizeof(int32_t))) {
+		(((intptr_t)rstrm->in_boundry - (intptr_t)buflp) >= sizeof(int32_t))) {
 		*lp = (long)ntohl((u_int32_t)(*buflp));
 		rstrm->fbtbc -= sizeof(int32_t);
@@ -280,6 +280,6 @@
 
 	while (len > 0) {
-		current = (u_long)rstrm->out_boundry -
-			(u_long)rstrm->out_finger;
+		current = (intptr_t)rstrm->out_boundry -
+			(intptr_t)rstrm->out_finger;
 		current = (len < current) ? len : current;
 		memcpy(rstrm->out_finger, addr, current);
@@ -303,5 +303,5 @@
 	register long pos;
 
-	pos = lseek((int)(long)rstrm->tcp_handle, (off_t) 0, 1);
+	pos = lseek((intptr_t)rstrm->tcp_handle, (off_t) 0, 1);
 	if (pos != -1)
 		switch (xdrs->x_op) {
@@ -466,12 +466,12 @@
 
 	if (sendnow || rstrm->frag_sent ||
-		((u_long)rstrm->out_finger + sizeof(u_int32_t) >=
-		(u_long)rstrm->out_boundry)) {
+		((uintptr_t)rstrm->out_finger + sizeof(u_int32_t) >=
+		(uintptr_t)rstrm->out_boundry)) {
 		rstrm->frag_sent = FALSE;
 		return (flush_out(rstrm, TRUE));
 	}
-	len = (u_long)(rstrm->out_finger) - (u_long)(rstrm->frag_header) -
+	len = (uintptr_t)(rstrm->out_finger) - (uintptr_t)(rstrm->frag_header) -
 	   sizeof(u_int32_t);
-	*(rstrm->frag_header) = htonl((u_long)len | LAST_FRAG);
+	*(rstrm->frag_header) = htonl((u_int32_t)len | LAST_FRAG);
 	rstrm->frag_header = (u_int32_t *)rstrm->out_finger;
 	rstrm->out_finger += sizeof(u_int32_t);
@@ -488,10 +488,10 @@
 	bool_t eor;
 {
-	register u_long eormask = (eor == TRUE) ? LAST_FRAG : 0;
-	register u_int32_t len = (u_long)(rstrm->out_finger) -
-		(u_long)(rstrm->frag_header) - sizeof(u_int32_t);
+	register u_int32_t eormask = (eor == TRUE) ? LAST_FRAG : 0;
+	register u_int32_t len = (uintptr_t)(rstrm->out_finger) -
+		(uintptr_t)(rstrm->frag_header) - sizeof(u_int32_t);
 
 	*(rstrm->frag_header) = htonl(len | eormask);
-	len = (u_long)(rstrm->out_finger) - (u_long)(rstrm->out_base);
+	len = (uintptr_t)(rstrm->out_finger) - (uintptr_t)(rstrm->out_base);
 	if ((*(rstrm->writeit))(rstrm->tcp_handle, rstrm->out_base, (int)len)
 		!= (int)len)
@@ -511,5 +511,5 @@
 
 	where = rstrm->in_base;
-	i = (u_long)rstrm->in_boundry % BYTES_PER_XDR_UNIT;
+	i = (uintptr_t)rstrm->in_boundry % BYTES_PER_XDR_UNIT;
 	where += i;
 	len = rstrm->in_size - i;
@@ -531,5 +531,5 @@
 
 	while (len > 0) {
-		current = (long)rstrm->in_boundry - (long)rstrm->in_finger;
+		current = (intptr_t)rstrm->in_boundry - (intptr_t)rstrm->in_finger;
 		if (current == 0) {
 			if (! fill_input_buf(rstrm))
@@ -578,5 +578,5 @@
 
 	while (cnt > 0) {
-		current = (long)rstrm->in_boundry - (long)rstrm->in_finger;
+		current = (intptr_t)rstrm->in_boundry - (intptr_t)rstrm->in_finger;
 		if (current == 0) {
 			if (! fill_input_buf(rstrm))
Index: cpukit/librpc/src/xdr/xdr_sizeof.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_sizeof.c	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/librpc/src/xdr/xdr_sizeof.c	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -90,5 +90,5 @@
 		return (NULL);
 	}
-	if (len < (long) xdrs->x_base) {
+	if (len < (intptr_t) xdrs->x_base) {
 		/* x_private was already allocated */
 		xdrs->x_handy += len;
@@ -102,5 +102,5 @@
 			return (NULL);
 		}
-		xdrs->x_base = (caddr_t) len;
+		xdrs->x_base = (caddr_t)((intptr_t) len);
 		xdrs->x_handy += len;
 		return ((int32_t *) xdrs->x_private);
Index: cpukit/score/include/rtems/score/tod.h
===================================================================
--- cpukit/score/include/rtems/score/tod.h	(revision 300c914c64953e3f27120fc454e75926943badf5)
+++ cpukit/score/include/rtems/score/tod.h	(revision cf04e8aca91e40a0d8096d01462439d650a63d6e)
@@ -280,5 +280,5 @@
  *  @note This must be a macro so it can be used in "static" tables.
  */
-#define TOD_MILLISECONDS_TO_MICROSECONDS(_ms) ((_ms) * 1000)
+#define TOD_MILLISECONDS_TO_MICROSECONDS(_ms) ((uint32_t)(_ms) * 1000L)
 
 /** @brief TOD_MICROSECONDS_TO_TICKS
